Package com.emc.documentum.rest.parser.xml.reader.field

# Class AbstractFieldXmlDeserializer

java.lang.Object
com.emc.documentum.rest.parser.xml.reader.field.AbstractFieldXmlDeserializer

All Implemented Interfaces:
  `AnnotatedFieldBindingProcessor`, `AnnotatedFieldDeserializer<com.emc.documentum.rest.parser.xml.reader.TypeXmlParser>`

Direct Known Subclasses:
  `DelayedFieldXmlDeserializer`, `EntryFieldXmlDeserializer`, `MapFieldXmlDeserializer`, `ObjectFieldXmlDeserializer`, `SimpleDataFieldXmlDeserializer`, `SkipFieldXmlDeserializer`, `WrappedListFieldXmlDeserializer`

public abstract class AbstractFieldXmlDeserializer extends Object implements AnnotatedFieldDeserializer<com.emc.documentum.rest.parser.xml.reader.TypeXmlParser>
This abstract class has default implementation for XML field deserializer. Also it contains XML specified reader.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `CURRENT_EVENT`
  The constant can be used as key of map to pass info in.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractFieldXmlDeserializer()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected XMLEventReader`
  `asEventReader(com.emc.documentum.rest.parser.xml.reader.TypeXmlParser parser)`
  `boolean`
  `isCompatibleMediaType(org.springframework.http.MediaType mediaType)`
  Check if the message serializer or deserializer is compatible with the specified media type.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.emc.documentum.rest.wire.AnnotatedFieldDeserializer

  `deserializable, deserialize`

- ## Field Details

  - ### CURRENT_EVENT

    public static final String CURRENT_EVENT
    The constant can be used as key of map to pass info in.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### AbstractFieldXmlDeserializer

    public AbstractFieldXmlDeserializer()

- ## Method Details

  - ### isCompatibleMediaType

    public boolean isCompatibleMediaType(org.springframework.http.MediaType mediaType)
    Description copied from interface: `AnnotatedFieldBindingProcessor`
    Check if the message serializer or deserializer is compatible with the specified media type.
    Specified by:
      `isCompatibleMediaType` in interface `AnnotatedFieldBindingProcessor`
    Parameters:
      `mediaType` - the media type to check
    Returns:
      `true` for compatible

  - ### asEventReader

    protected XMLEventReader asEventReader(com.emc.documentum.rest.parser.xml.reader.TypeXmlParser parser)